SchemaManager
Keywords: uk.ac.ic.doc.automed.gui.SchemaManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.gui
Class SchemaManager

    java.lang.Object
      uk.ac.ic.doc.automed.gui.SchemaManager

    public class SchemaManager

extends java.lang.Object

Field Summary
`static int` | `IN_ROW`
`static int` | `OBJECT_HDISTANCE`
`static int` | `OBJECT_VDISTANCE`

Constructor Summary
`SchemaManager(uk.ac.ic.doc.automed.gui.GraphicCanvas canvas)`

Method Summary
`static Arc` | `createArc()`
`static Box` | `createBox()`
`static Line` | `createLine()`
`static Rhombus` | `createRhombus()`
`java.awt.Dimension` | `getBoundingBox()`
`int` | `getExtend(boolean isGeneralisation)`
`int` | `getGeneralisationExtend()`
`uk.ac.ic.doc.automed.gui.GraphicObject` | `getGraphicObject(SchemaObject so)`
`java.awt.Graphics` | `getGraphics()`
`void` | `load(Schema schema)` Loads the schema specified into this SchemaManager.
`void` | `repaint(java.awt.Graphics g, boolean fullRefresh)`
`uk.ac.ic.doc.automed.gui.GraphicObject` | `setFocus(java.awt.Point p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_HDISTANCE

    public static final int OBJECT_HDISTANCE

See Also:
  Constant Field Values

### OBJECT_VDISTANCE

    public static final int OBJECT_VDISTANCE

See Also:
  Constant Field Values

### IN_ROW

    public static final int IN_ROW

See Also:
  Constant Field Values

Constructor Detail

### SchemaManager

    public SchemaManager(uk.ac.ic.doc.automed.gui.GraphicCanvas canvas)

Method Detail

### load

    public void load(Schema schema)
              throws GUIException

  Loads the schema specified into this SchemaManager. The GraphicObject objects are created and are draw on the canvas.

  Throws:
    `GUIException`

### getBoundingBox

    public java.awt.Dimension getBoundingBox()

### getGraphicObject

    public uk.ac.ic.doc.automed.gui.GraphicObject getGraphicObject(SchemaObject so)

### repaint

    public void repaint(java.awt.Graphics g,
                        boolean fullRefresh)
                 throws GUIException

  Throws:
    `GUIException`

### createBox

    public static Box createBox()

### createArc

    public static Arc createArc()

### createLine

    public static Line createLine()

### createRhombus

    public static Rhombus createRhombus()

### getGeneralisationExtend

    public int getGeneralisationExtend()

### getExtend

    public int getExtend(boolean isGeneralisation)

### getGraphics

    public java.awt.Graphics getGraphics()

### setFocus

    public uk.ac.ic.doc.automed.gui.GraphicObject setFocus(java.awt.Point p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD